## vidtuber 1.1.6-1trisquel1

=== requirements.txt ===
# If you want install dependencies only, Use like this:
#    python3 -m pip install -r requirements.txt

# If you want install dependencies + Vidtuber, Use like this:
#   python3 -m pip install git+https://github.com/jeanslack/Vidtuber.git@main -r requirements.txt

# On some systems, you may need to use "py" or "python" instead of "python3"


-r requirements/installation.txt

## vidtuber 1.1.1-1trisquel1

=== debian/changelog ===
vidtuber (1.1.1-1trisquel1) ecne-backports; urgency=medium

  * Backported from official PPA for vidtuber

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 21 Jul 2025 23:16:50 +0000

vidtuber (1.1.1-1) noble; urgency=low

  * Fixed issue on wizard dialog where the `Next` button was disabled when
    not needed.
  * Improved wizard UI.
  * Fixed pyproject.toml file to include only essential data in the source
    archive
  * Added User Guide files to "docs/UserGuide" in pdf format (work in progress).
  * Fixed issue on "Downloader Messages Monitoring" where the `Stop` button was
    incorrectly disabled.
  * Fixed missing icon issue for application launch on Ubuntu using deb package
    from PPA. This was fixed by upgrading to the Ubuntu "Noble" series for
    application build.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Wed, 16 Jul 2025 14:08:42 +0200

=== debian/control ===
Source: vidtuber
Section: video
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-all,
               python3-babel,
               python3-hatchling,
               python3-setuptools
Standards-Version: 4.5.1
Homepage: https://github.com/jeanslack/Vidtuber
Rules-Requires-Root: no
#Vcs-Git: https://salsa.debian.org/debian/vidtuber.git
#Vcs-Browser: https://salsa.debian.org/debian/vidtuber
X-Python3-Version: >= 3.8

Package: vidtuber
Architecture: all
Multi-Arch: foreign
Depends: ffmpeg,
         python3-pubsub,
         python3-requests (>= 2.28.1),
         python3-wxgtk4.0,
         yt-dlp,
         ${misc:Depends},
         ${python3:Depends}
#Recommends:
Suggests: atomicparsley
Description: Simple, cross-platform GUI for yt-dlp
 Vidtuber is a simple, cross-platform graphical user interface for yt-dlp.
 It features graphical tools to downloading audio, videos, subtitles and
 more via yt-dlp.
 .
 Vidtuber is Free (libre) Software written in Python3 using the wxPython4
 toolkit and works on Linux, MacOs, Windows and FreeBSD.

## vidtuber 1.1.2-1trisquel1

=== debian/changelog ===
vidtuber (1.1.2-1trisquel1) ecne-backports; urgency=medium

  * Backported from official PPA for vidtuber

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 27 Jul 2025 00:49:11 +0000

vidtuber (1.1.2-1) noble; urgency=low

  * Improved UI.
  * Updated translation catalogs to Vidtuber v1.1.2
  * Updated Russian language, thanks to ChourS .
  * Updated Italian language by jeanslack.
  * Added Vidtuber Slackbuild to https://slackbuilds.org/
  * Improved babelutils.py file for update translation catalogs.
  * Fixed compatibility issues between versions of the Python requests.
  * Fixed "Edit" menu subitems according to user actions.
  * Fixed the popup menu (aka context menu) items when right-clicking in the
    "List of URL's" panel. Enabling/disabling items depends on user actions.
  * Added events for selecting/deselecting items on drag N drop panel.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Sat, 26 Jul 2025 21:09:02 +0200

## vidtuber 1.1.2-1+11.0trisquel1

=== debian/changelog ===
vidtuber (1.1.2-1+11.0trisquel1) aramo-backports; urgency=medium

  * Backported from official PPA for vidtuber

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 30 Jul 2025 18:42:54 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Multi-Arch: foreign
 Depends: ffmpeg,
          python3-pubsub,
-         python3-requests (>= 2.28.1),
+         python3-requests,
          python3-wxgtk4.0,
          yt-dlp,
          ${misc:Depends},

## vidtuber 1.1.6-1trisquel1

=== debian/changelog ===
vidtuber (1.1.6-1trisquel1) ecne-backports; urgency=medium

  * Backported from official PPA for vidtuber

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 29 Aug 2025 00:48:04 +0000

vidtuber (1.1.6-1) noble; urgency=low

  * Fixed "Download by format code" merging file issue. This fix adds
    `--audio-multistreams` and `--video-multistreams` arguments when the user
    check "Merge all files into a single file" option (now enabled by default).
  * Fixed the format codes of mhtml storyboard files, which are always
    downloaded as separate files.
  * Drop support for wxPython == 4.0.7, now require only wxPython >= 4.1.0 .
  * Removed obsolete codes for wxPython v4.0.7.
  * Drop support for Ubuntu Jammy.
  * Added a confirmation dialog with ability to edit the command-line arguments
    on the fly.
  * Fixed writing user settings preferences when closing the app.
  * Update France language (Thanks to ChourS).
  * Update Russian language (Thanks to ChourS).
  * Update Italian language (Thanks to jeanslack).
  * Fixed versioning error on debian control file related to python3-wxgtk4.0.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Thu, 28 Aug 2025 21:12:02 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 Depends: ffmpeg,
          python3-pubsub,
          python3-requests,
-         python3-wxgtk4.0,
+         python3-wxgtk4.0 (>= 4.1.0),
          yt-dlp,
          ${misc:Depends},
          ${python3:Depends}

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1

#%:
#	dh $@ --with python3

export PYBUILD_NAME = vidtuber

%:
	dh $@ --with python3 --buildsystem=pybuild

## vidtuber 1.1.10-1trisquel1

=== debian/changelog ===
vidtuber (1.1.10-1trisquel1) ecne-backports; urgency=medium

  * Backported from official PPA for vidtuber

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 04 Sep 2025 14:50:44 +0000

vidtuber (1.1.10-1) noble; urgency=low

  * Fixed #10, this solve "Videos by resolution" mode.
  * Fixed #13, quality settings for "Precompiled Videos" mode.
  * Improved application strings/names/descriptions etc.
  * Added "Reload format codes" button on "Format Code Properties".
  * Fixed #11, saves the user's last selection in the "Download Mode" and
    Format drop-down menus when the application closes.
  * Improved error handling (if any) using format codes mode.
  * Improved the "Show Log File" dialog box and "Format_Codes.log" text
    formatting for better understanding of error messages.
  * French language updated by ChourS.
  * Russian language updated by ChourS.
  * Italian language updated by jeanslack.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Thu, 04 Sep 2025 11:13:10 +0200

## vidtuber 2.0.1-1trisquel1

=== debian/changelog ===
vidtuber (2.0.1-1trisquel1) ecne-backports; urgency=medium

  * Backported from official PPA for vidtuber

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 20 Sep 2025 00:47:31 +0000

vidtuber (2.0.1-1) noble; urgency=low

  * Added the management and mapping of data fetched from audio/video content
    platforms during drag-and-drop URL stage #15.
  * Added more detailed information managing URLs #15.
  * Improved data management for GUI logging operations #15.
  * Removed checks for channel/playlist URLs when the Download button is pressed
    and "Include playlist" is unchecked.
  * Fixed inconsistencies checking only the 'yt-dlp'/'yt-dlp.exe' executables
    instead of the entire available range of executables ('yt-dlp',
    'yt-dlp.exe', 'yt-dlp_macos', 'yt-dlp_linux').
  * The playlist management dialog has been completely redesigned.

 -- Gianluca Pernigotto <jeanlucperni@gmail.com>  Fri, 19 Sep 2025 19:28:48 +0200
